> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Trade Pair



## OpenAPI

````yaml /api-reference/openapi.json get /trades/pairs/{sourceCode}/{targetCode}
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /trades/pairs/{sourceCode}/{targetCode}:
    parameters:
      - name: sourceCode
        in: path
        required: true
        schema:
          type: string
      - name: targetCode
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Trades
      summary: Get Single Trade Pair
      responses:
        '200':
          description: Get Single Trade Pair
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      active:
                        type: boolean
                      sourceId:
                        type: string
                      targetId:
                        type: string
                      isSellable:
                        type: boolean
                      isBuyable:
                        type: boolean
                      isLeverage:
                        type: boolean
                      enableP2PTrading:
                        type: boolean
                      source:
                        type: object
                        properties:
                          id:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          updatedAt:
                            type: string
                            format: date-time
                          active:
                            type: boolean
                          name:
                            type: string
                          code:
                            type: string
                          exchangeCode:
                            nullable: true
                          leverageBaseCurrencyCode:
                            nullable: true
                          leverageMultipler:
                            nullable: true
                          receivable:
                            type: boolean
                          withdrawable:
                            type: boolean
                          transferrable:
                            type: boolean
                          minimumWithdrawal:
                            type: integer
                          minimumDeposit:
                            type: integer
                          maximumDecimalPlaces:
                            type: integer
                          withdrawalFee:
                            type: integer
                          receiveFee:
                            type: integer
                          type:
                            type: string
                          leverageType:
                            nullable: true
                          receiveFeeType:
                            type: string
                          withdrawalFeeType:
                            type: string
                          maximumWithdrawalFee:
                            type: integer
                          allowUtilityPayments:
                            type: boolean
                          allowUnconfirmedTrading:
                            type: boolean
                          allowVirtualCardTransactions:
                            type: boolean
                          enableWithdrawalApproval:
                            type: boolean
                      target:
                        type: object
                        properties:
                          id:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          updatedAt:
                            type: string
                            format: date-time
                          active:
                            type: boolean
                          name:
                            type: string
                          code:
                            type: string
                          exchangeCode:
                            nullable: true
                          leverageBaseCurrencyCode:
                            nullable: true
                          leverageMultipler:
                            nullable: true
                          receivable:
                            type: boolean
                          withdrawable:
                            type: boolean
                          transferrable:
                            type: boolean
                          minimumWithdrawal:
                            type: integer
                          minimumDeposit:
                            type: integer
                          maximumDecimalPlaces:
                            type: integer
                          withdrawalFee:
                            type: integer
                          receiveFee:
                            type: integer
                          type:
                            type: string
                          leverageType:
                            nullable: true
                          receiveFeeType:
                            type: string
                          withdrawalFeeType:
                            type: string
                          maximumWithdrawalFee:
                            type: integer
                          allowUtilityPayments:
                            type: boolean
                          allowUnconfirmedTrading:
                            type: boolean
                          allowVirtualCardTransactions:
                            type: boolean
                          enableWithdrawalApproval:
                            type: boolean
              example:
                message: Ok
                data:
                  id: 3bd8ace6-dc63-49a8-b91a-46131dfdf0f2
                  createdAt: '2021-11-22T10:16:51.874Z'
                  updatedAt: '2021-11-23T15:15:58.402Z'
                  active: true
                  sourceId: 55456608-8c9f-499d-99b4-15ceafef3212
                  targetId: de3423cb-e81c-464f-8bb4-d9da15a37e8b
                  isSellable: true
                  isBuyable: true
                  isLeverage: false
                  enableP2PTrading: true
                  source:
                    id: 55456608-8c9f-499d-99b4-15ceafef3212
                    createdAt: '2021-11-22T10:16:50.727Z'
                    updatedAt: '2024-03-03T08:16:24.743Z'
                    active: true
                    name: Tether
                    code: USDT
                    exchangeCode: null
                    leverageBaseCurrencyCode: null
                    leverageMultipler: null
                    receivable: true
                    withdrawable: true
                    transferrable: true
                    minimumWithdrawal: 5
                    minimumDeposit: 3
                    maximumDecimalPlaces: 4
                    withdrawalFee: 0
                    receiveFee: 0
                    type: STABLE
                    leverageType: null
                    receiveFeeType: PERCENTAGE
                    withdrawalFeeType: PERCENTAGE
                    maximumWithdrawalFee: 0
                    allowUtilityPayments: true
                    allowUnconfirmedTrading: true
                    allowVirtualCardTransactions: true
                    enableWithdrawalApproval: false
                  target:
                    id: de3423cb-e81c-464f-8bb4-d9da15a37e8b
                    createdAt: '2021-11-22T10:16:50.862Z'
                    updatedAt: '2024-10-26T13:40:22.599Z'
                    active: true
                    name: Naira
                    code: NGNX
                    exchangeCode: null
                    leverageBaseCurrencyCode: null
                    leverageMultipler: null
                    receivable: true
                    withdrawable: true
                    transferrable: true
                    minimumWithdrawal: 0
                    minimumDeposit: 0
                    maximumDecimalPlaces: 2
                    withdrawalFee: 50
                    receiveFee: 100
                    type: FIAT
                    leverageType: null
                    receiveFeeType: FLAT
                    withdrawalFeeType: FLAT
                    maximumWithdrawalFee: 0
                    allowUtilityPayments: true
                    allowUnconfirmedTrading: true
                    allowVirtualCardTransactions: false
                    enableWithdrawalApproval: false

````